2019-12-07 20:13 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000546Spring engineGeneralpublic2008-04-30 14:56
Reporterredstar 
Assigned Totvo 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000546: BA crash+stacktrace
Description(0) CGroundDecalHandler::Draw()
    C:/taspring_trunk/rts/Rendering/GroundDecalHandler.cpp:220

(1) CBFGroundDrawer::Draw(bool, bool, unsigned int)
    C:/taspring_trunk/rts/Map/SMF/BFGroundDrawer.cpp:515

(2) CGame::Draw()
    C:/taspring_trunk/rts/Game/Game.cpp:1558

(3) SpringApp::Update()
    C:/taspring_trunk/rts/System/Main.cpp:813

(4) SpringApp::Run(int, char**)
    C:/taspring_trunk/rts/System/Main.cpp:990

(5) Run(int, char**)
    C:/taspring_trunk/rts/System/Main.cpp:1047

(6) WinMain@16
    C:/taspring_trunk/rts/System/Main.cpp:1096

(7) main
    J:/MinGW/home/Sherpya/stage/mingw-runtime-3.10/main.c:78

(8) _mingw_CRTStartup
    J:/MinGW/home/Sherpya/stage/mingw-runtime-3.10/crt1.c:226

(9) WinMainCRTStartup
    J:/MinGW/home/Sherpya/stage/mingw-runtime-3.10/crt1.c:260

(10) ??
    ??:0

(11) ??
    ??:0
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • txt file icon infolog.txt (7,164 bytes) 2007-06-01 05:57 -
    Map: Altored_Divide.smf
    Mod: "Balanced Annihilation V5.3" from BA53.sd7
    Number of damage types: 42
    Unknown feature type 
    Spring 0.74b3
    Reloaded ctrlpanel with: LuaUI/ctrlpanel.txt
    LuaUI: bound F11 to the widget selector
    LuaUI: bound CTRL+F11 to tweak mode
    LuaUI v0.1
    Player nogoons joined as 0
    Player [spam]Sparrow joined as 1
    Player [NR]REVENGE joined as 2
    Player donmonoi joined as 3
    Player scrote joined as 5
    Player MatthewL joined as 6
    Player []AF joined as 7
    []AF added point: Start 6
    []AF added point: Start 6
    Player Iz3 joined as 10
    Player Player0ne joined as 12
    Player KingRaptor joined as 13
    Player Nowhere joined as 8
    []AF added point: Start 6
    []AF added point: Start 6
    MatthewL added point: Start 5
    []AF added point: Start 6
    []AF added point: Start 6
    Nowhere added point: Start 7
    Player lavishpcar2 joined as 4
    []AF added point: Start 6
    KingRaptor added point: Start 11
    Player stealth117 joined as 9
    Player Z3ROXxtrem joined as 11
    []AF added point: Start 6
    []AF added point: Start 6
    [spam]Sparrow added point: Start 0
    [spam]Sparrow added point: Start 0
    []AF added point: Start 6
    stealth117 added point: Start 8
    <[]AF> !!!!
    [nogoons] sorry, i don't know command '111'
    <[]AF> Allies: stealth
    <[]AF> Allies: my place
    []AF added point: 
    [spam]Sparrow added point: Start 0
    <KingRaptor> Allies:  maybe 6v6 was a bad idea
    MatthewL added point: ```stealth here
    <Nowhere> haha
    [spam]Sparrow added point: Start 0
    KingRaptor added point: Start 11
    []AF added point: 
    [spam]Sparrow added point: Start 0
    []AF added point: 
    <stealth117> Allies:  go away! 
    <[spam]Sparrow> stealth?
    MatthewL added point: someone here
    <[]AF> Allies: too late
    KingRaptor added point: here!
    <[]AF> Allies: i rpessed rdy
    KingRaptor added point: Start 11
    KingRaptor added point: Start 11
    MatthewL added point: stealth..
    <[spam]Sparrow> Allies: stealth plz move
    <[spam]Sparrow> Allies: omg
    [spam]Sparrow added point: Start 0
    [spam]Sparrow added point: Start 0
    <KingRaptor> Allies:  what is this?
    <[]AF> Allies: stealth u cud losoe the game early on messing liek that
    KingRaptor added point: who's here
    <[]AF> Allies: stealth should be
    <[]AF> Allies: nowhere is
    <[spam]Sparrow> ??
    <KingRaptor> >:(
    <Nowhere> Allies: no going south
    <[spam]Sparrow> a;
    <KingRaptor> Allies:  AF go air
    <MatthewL> Allies: I was gonna air, but okay
    <MatthewL> Allies: AF want air?
    <KingRaptor> Allies:  hint: if you go vehicle, you can use amphib cons to build on the mountains
    <[]AF> Allies: err
    <[]AF> Allies: ill be support guy
    <MatthewL> Allies: am I air or ground?
    <[]AF> Allies: ill go air
    <MatthewL> Allies: k
    <KingRaptor> Allies:  YOU MUST CONSTRUCT ADDITIONAL MEXES.
    Lost connection to Player0ne
    <[spam]Sparrow> spec
    KingRaptor added point: I don't like this side at all.
    [nogoons] player0ne has left lobby
    <MatthewL> Allies: I will help
    <Nowhere> Allies: ha
    <Nowhere> Allies: yeah
    []AF added point: 
    []AF added point: 
    []AF added point: 
    []AF added point: 
    []AF added point: 
    Fink is being attacked
    []AF added point: 
    <MatthewL> Allies: make air transport
    Nowhere added point: 
    <[]AF> Allies: scouting
    <MatthewL> Allies: try to nab
    []AF added point: 
    Fink is being attacked
    MatthewL added point: making HLT
    Avenger is being attacked
    <KingRaptor> Allies:  ARGH
    MatthewL added point: air con quick
    Fink is being attacked
    MatthewL added point: help build
    <MatthewL> Allies: stealth
    KingRaptor added point: comnap?
    Valkyrie is being attacked
    []AF added point: 
    [spam]Sparrow added point: amphib can go up here
    MatthewL added point: let my arts hit it
    <[]AF> Allies: where do we need to scout
    MatthewL added point: here
    <[]AF> Allies: sending
    MatthewL added point: radar
    []AF added point: 
    MatthewL added point: 
    []AF added point: 
    Fink is being attacked
    [spam]Sparrow added point: radar
    <KingRaptor> Allies:  he can't be serious
    <KingRaptor> Allies: T2 bots already
    <KingRaptor> Allies:  going T2 as well
    Nowhere added point: 
    Nowhere added point: 
    <[spam]Sparrow> Allies: dgun
    <Nowhere> Allies: damet
    MatthewL added point: ``air scout
    <Nowhere> Allies: thnx for the help blue
    <Nowhere> Allies: arr
    <[spam]Sparrow> Allies: don't blame me you had no walls
    <Nowhere> Allies: ha
    [spam]Sparrow added point: i defed this side
    MatthewL added point: radar
    [nogoons] [kingraptor]did it crash for anyone else/
    MatthewL added point: 
    MatthewL added point: 
    <MatthewL> Allies: stealth
    MatthewL added point: radar
    Player KingRaptor left
    Team11 (KingRaptor) bought it
    <MatthewL> .take
    <Iz3> .take
    [nogoons] kingraptor has left lobby
    Fink is being attacked
    Fink is being attacked
    Fink is being attacked
    <[spam]Sparrow> Allies: lol
    Fink is being attacked
    Thud is being attacked
    Thud is being attacked
    Thud is being attacked
    Thud is being attacked
    Fink is being attacked
    Spring 0.74b3 has crashed.
    Exception: Access violation (0xc0000005)
    Exception Address: 0x0040a11a
    DLL information:
    0x00400000	spring
    0x77c80000	ntdll
    0x77ad0000	kernel32
    0x76cf0000	ADVAPI32
    0x76e90000	RPCRT4
    0x6e360000	dsound
    0x77df0000	msvcrt
    0x77a30000	USER32
    0x76690000	GDI32
    0x76540000	ole32
    0x747f0000	WINMM
    0x76c60000	OLEAUT32
    0x745d0000	OLEACC
    0x758c0000	POWRPROF
    0x74910000	GLU32
    0x6e070000	OPENGL32
    0x6df80000	DDRAW
    0x74ed0000	DCIMAN32
    0x76ad0000	SETUPAPI
    0x72140000	dwmapi
    0x77dc0000	IMAGEHLP
    0x71130000	WSOCK32
    0x76970000	WS2_32
    0x77db0000	NSI
    0x10000000	SDL
    0x00e30000	DevIL
    0x66fc0000	freetype6
    0x61b80000	zlib1
    0x00250000	glew32
    0x710f0000	ShimEng
    0x76370000	apphelp
    0x70c50000	AcLayers
    0x76f60000	SHELL32
    0x76910000	SHLWAPI
    0x763f0000	USERENV
    0x763d0000	Secur32
    0x733a0000	WINSPOOL
    0x76030000	MPR
    0x6d300000	AcGenral
    0x74ef0000	UxTheme
    0x76090000	NETAPI32
    0x764a0000	PSAPI
    0x74170000	MSACM32
    0x75c40000	VERSION
    0x71850000	sfc
    0x6f3a0000	sfc_os
    0x769a0000	urlmon
    0x76e40000	iertutil
    0x74ee0000	SHUNIMPL
    0x77ea0000	IMM32
    0x77bb0000	MSCTF
    0x77da0000	LPK
    0x76890000	USP10
    0x752e0000	comctl32
    0x69500000	nvoglv32
    0x75bd0000	mswsock
    0x758a0000	wshtcpip
    0x76db0000	CLBCatQ
    0x755f0000	MMDevApi
    0x756e0000	WINTRUST
    0x75f30000	CRYPT32
    0x76070000	MSASN1
    0x74520000	audioses
    0x744b0000	audioeng
    0x758b0000	AVRT
    0x726c0000	dbghelp
    Stacktrace:
    (0) C:\Program Files\Spring\spring.exe [0x0040A11A]
    (1) C:\Program Files\Spring\spring.exe [0x004C648A]
    (2) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x603a) [0x004DF892]
    (3) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x23aac6) [0x0071431E]
    (4) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x24033e) [0x00719B96]
    (5) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x2406fa) [0x00719F52]
    (6) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x24089a) [0x0071A0F2]
    (7) C:\Program Files\Spring\spring.exe(UnitDef_GetBuildOption+0x2bcb8d) [0x007963E5]
    (8) C:\Program Files\Spring\spring.exe [0x00401092]
    (9) C:\Program Files\Spring\spring.exe [0x0040110F]
    (10) C:\Windows\system32\kernel32.dll(BaseThreadInitThunk+0x12) [0x77B13833]
    (11) C:\Windows\system32\ntdll.dll(LdrInitializeThunk+0x4d) [0x77CBA9BD]
    
    txt file icon infolog.txt (7,164 bytes) 2007-06-01 05:57 +

-Relationships
+Relationships

-Notes

~0000934

redstar (reporter)

0.74b3*

~0002196

tvo (reporter)

Quite possibly this was caused by 0000889

In any case it's too old to continue looking into; in particular since no instructions on how to reproduce are included.

So I'm assuming it's fixed in Spring >= 0.76b1
+Notes

-Issue History
Date Modified Username Field Change
2007-06-01 05:57 redstar New Issue
2007-06-01 05:57 redstar File Added: infolog.txt
2007-06-01 05:57 redstar Note Added: 0000934
2007-06-07 00:33 tvo Relationship added related to 0000547
2007-06-07 00:34 tvo Relationship deleted related to 0000547
2008-04-30 14:56 tvo Status new => resolved
2008-04-30 14:56 tvo Resolution open => fixed
2008-04-30 14:56 tvo Assigned To => tvo
2008-04-30 14:56 tvo Note Added: 0002196
+Issue History